# vim: set ts=2 sw=2 sts=2 et:
#
# Fixtures
#
# Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
# See https://www.x-cart.com/license-agreement.html for license details.

XLite\Model\Payment\Method:
  - service_name: 'SOFORT Banking'
    class: XC\SofortBanking\Model\Payment\Processor\SofortBanking
    type: C
    countries: [AT, BE, CH, DE, ES, IT, PL]
    translations: [{code: en, name: 'SOFORT Banking'}, {code: es, name: 'SOFORT Banca'}]
    settings: [{name: configurationkey}, {name: protection}]
XLite\Model\LanguageLabel:
  - directives: {allowedModel: XLite\Model\LanguageLabelTranslation}
  - name: 'To complete SOFORT Banking payment system integration configuration'
    translations: [{code: en, label: 'To setup SOFORT Banking in you online store, follow the steps below:<ol style="padding-left: 20px; list-style-type: decimal;"><li>Make sure you have a valid merchant account with <a target="_blank" href="https://www.sofort.com/payment/users">SOFORT AG</a> or <a target="_blank" href="https://www.sofort.com/payment/users/register">register</a> a new one.</li><li>Fill in the fields below using the data from Web Merchant Interface.</li></ol>'}, {code: ru, label: 'Для настройки платежного метода SOFORT Banking:<ol style="padding-left: 20px; list-style-type: decimal;"><li>Убедитесь, что у вас есть аккаунт в <a target="_blank" href="https://www.sofort.com/payment/users">системе SOFORT</a> или <a target="_blank" href="https://www.sofort.com/payment/users/register">зарегистрируйте</a> новый аккаунт.</li><li>Введите параметры платежной системы в соответствии с настройками в Вашем личном кабинете.</li></ol>'}]
  - name: 'Configuration key'
    translations: [{code: en, label: 'Configuration key'}]
  - name: 'Customer protection'
    translations: [{code: en, label: 'Customer protection'}]
  - name: 'Transaction was refunded by SOFORT'
    translations: [{code: en, label: 'Transaction was refunded by SOFORT'}]
  - name: 'Unexpected result was received from SOFORT (transaction status is not set)'
    translations: [{code: en, label: 'Unexpected result was received from SOFORT (transaction status is not set)'}]
